// pages/mine_card/mine_card.js
var app = getApp()
Page({

  data: {
    cardList: []
  },
  onLoad: function (options) {
    var that = this;
    my.showLoading({
      content: '加载中...',
      mask: true
    })
    app.request("/card_riding/user_card", '', "GET").then(res => {
      console.log(res)
      my.hideLoading({
        complete: (res) => { },
      })
      if (res.data.data == '') {
        return;
      }
      that.setData({ cardList: res.data})
    }).catch(err => {
      console.log(err)
    })
  },
  onReady: function () {

  },
  onShow: function () {

  },
  onHide: function () {

  },
  onUnload: function () {

  },
  onPullDownRefresh: function () {

  },
  onReachBottom: function () {

  },
  onShareAppMessage: function () {

  },
  useRules: function () {
    my.navigateTo({
      url:'/pages/user_rules/user_rules',
    })
  }
})